### Method

# Gio Settings get_uint64

since: 2.50

#### Declaration [src]

    guint64
    g_settings_get_uint64 (
      GSettings* settings,
      const gchar* key
    )

#### Description [src]

Gets the value that is stored at `key` in `settings`.

A convenience variant of `g_settings_get()` for 64-bit unsigned integers.

It is a programmer error to give a `key` that isn’t specified as having a `t` type in the schema for `settings` (see `GVariantType`).

Available since: 2.50

#### Parameters

`key`

  Type: `const gchar*`

  The key to get the value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint64`

A 64-bit unsigned integer.